com.informix.jdbc.types

## Interface TypeInfo

    public interface TypeInfo

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `getDatabaseType()` Get the database type of this User Defined Type.
`short` `getJDBCtype()` Get the JDBC type (DISTINCT, STRUCT or JAVA_OBJECT) of this User Defined Type.
`com.informix.jdbc.IfxResultSetMetaData` `getMetaData()` Get the meta data associated with this type (only used for named rows).
`java.lang.String` `getName()` Get the name of this User Defined Type.
`java.lang.String` `getOwner()` Get the owner of this User Defined Type.
`int` `getSource()` Get the source type of this Distinct Type.
`int` `getSourceLength()` Get the length of the source type of this Distinct Type.
`int` `getXid()` Get the extended ID of this User Defined Type.

### Method Detail

#### getName

    java.lang.String getName()

Get the name of this User Defined Type.

Returns:
  the name of this type.

#### getOwner

    java.lang.String getOwner()

Get the owner of this User Defined Type.

Returns:
  the owner of this type.

#### getXid

    int getXid()

Get the extended ID of this User Defined Type.

Returns:
  the extended ID used to represent this type.

#### getDatabaseType

    int getDatabaseType()

Get the database type of this User Defined Type.

Returns:
  the database data type used to represent this type.

#### getJDBCtype

    short getJDBCtype()

Get the JDBC type (DISTINCT, STRUCT or JAVA_OBJECT) of this User Defined Type.

Returns:
  the JDBC type used to represent this type.

#### getSource

    int getSource()

Get the source type of this Distinct Type.

Returns:
  the type used to represent the base type from which this type is derived.

#### getSourceLength

    int getSourceLength()

Get the length of the source type of this Distinct Type.

Returns:
  the length of the base type from which this type is derived.

#### getMetaData

    com.informix.jdbc.IfxResultSetMetaData getMetaData()

Get the meta data associated with this type (only used for named rows).

Returns:
  an IfxResultSetMetaData object for this row.